Package org.apache.bcel.generic

# Class LDC_W

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.CPInstruction
org.apache.bcel.generic.LDC
org.apache.bcel.generic.LDC_W

All Implemented Interfaces:
  `Cloneable`, `ExceptionThrower`, `IndexedInstruction`, `PushInstruction`, `StackProducer`, `TypedInstruction`

public class LDC_W extends LDC
LDC_W - Push item from constant pool (wide index)

     Stack: ... -> ..., item.word1, item.word2

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.CPInstruction

  `index`

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LDC_W(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `initFromFile(ByteSequence bytes, boolean wide)`
  Read needed data (i.e., index) from file.

  ### Methods inherited from class org.apache.bcel.generic.LDC

  `accept, dump, getExceptions, getType, getValue, setIndex, setSize`

  ### Methods inherited from class org.apache.bcel.generic.CPInstruction

  `getIndex, toString, toString`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.bcel.generic.StackProducer

  `produceStack`

- ## Constructor Details

  - ### LDC_W

    public LDC_W(int index)

- ## Method Details

  - ### initFromFile

    protected void initFromFile(ByteSequence bytes, boolean wide) throws IOException
    Read needed data (i.e., index) from file.
    Overrides:
      `initFromFile` in class `LDC`
    Parameters:
      `bytes` - input stream
      `wide` - wide prefix?
    Throws:
      `IOException` - may be thrown if the implementation needs to read data from the file